package com.dsoft.RNAndroidChart;

import com.github.mikephil.charting.data.Entry;
import com.github.mikephil.charting.formatter.ValueFormatter;
import com.github.mikephil.charting.utils.ViewPortHandler;

import com.facebook.react.bridge.ReadableArray;
import android.util.Log;

public class PrintfValueFormatter implements ValueFormatter {

  private String format = "";
  private ReadableArray initialValues = null;

  public PrintfValueFormatter(String format){
    if(format != null) this.format = format;
  }
  
  public PrintfValueFormatter(String format,ReadableArray initial){
	//Log.e("PrintfValueFormatter", "format:("+format+"),initial:("+initial.size()+")");
    if(format != null) this.format = format;
	if(initial != null) this.initialValues = initial;
  }

  @Override
  public String getFormattedValue(float value, Entry entry, int dataSetIndex, ViewPortHandler viewPortHandler) {
	//Log.e("getFormattedValue1", "format:("+format+"),value:("+value+"),entry:("+entry.getXIndex()+")");
	//if( initialValues!=null ) Log.e("getFormattedValue2","return :("+initialValues.getString(entry.getXIndex())+")");
	if( initialValues==null ) return String.valueOf(value);
	else return initialValues.getString(entry.getXIndex());
    //return String.format(format, value);
  }
}
